org.apache.html.dom

## Class HTMLDOMImplementationImpl

- java.lang.Object
- - org.apache.xerces.dom.CoreDOMImplementationImpl
  - - org.apache.xerces.dom.DOMImplementationImpl
    - - org.apache.html.dom.HTMLDOMImplementationImpl

- All Implemented Interfaces:
    org.w3c.dom.DOMImplementation, org.w3c.dom.html.HTMLDOMImplementation, org.w3c.dom.ls.DOMImplementationLS

      public class HTMLDOMImplementationImpl
      extends org.apache.xerces.dom.DOMImplementationImpl
      implements org.w3c.dom.html.HTMLDOMImplementation

  Provides number of methods for performing operations that are independent of any particular instance of the document object model. This class is unconstructable, the only way to obtain an instance of a DOM implementation is by calling the static method `DOMImplementationImpl.getDOMImplementation()`.
  Version:
    $Revision: 645327 $ $Date: 2008-04-07 04:47:54 +0530 (Mon, 07 Apr 2008) $
  Author:
    Assaf Arkin
  See Also:
    `DOMImplementation`

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS

      `MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.html.HTMLDocument` | `createHTMLDocument(java.lang.String title)` Create a new HTML document of the specified `TITLE` text.
    `static org.w3c.dom.html.HTMLDOMImplementation` | `getHTMLDOMImplementation()` Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g.

    - ### Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl

      `createDocument, getDOMImplementation, hasFeature`

    - ### Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl

      `assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.DOMImplementation

      `createDocument, createDocumentType, getFeature, hasFeature`

- - ### Method Detail

    - #### createHTMLDocument

          public final org.w3c.dom.html.HTMLDocument createHTMLDocument(java.lang.String title)
                                                                 throws org.w3c.dom.DOMException

      Create a new HTML document of the specified `TITLE` text.
      Specified by:
        `createHTMLDocument` in interface `org.w3c.dom.html.HTMLDOMImplementation`
      Parameters:
        `title` - The document title text
      Returns:
        New HTML document
      Throws:
        `org.w3c.dom.DOMException`

    - #### getHTMLDOMImplementation

          public static org.w3c.dom.html.HTMLDOMImplementation getHTMLDOMImplementation()

      Returns an instance of a `HTMLDOMImplementation` that can be used to perform operations that are not specific to a particular document instance, e.g. to create a new document.
      Returns:
        Reference to a valid DOM implementation

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.